From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/hashcat/
Date: Sat, 3 Dec 2022 01:37:29 +0000 (UTC) [thread overview]
Message-ID: <1670031328.3e375a111c38c92562fac2c068d688a19798fc38.sam@gentoo> (raw)
commit: 3e375a111c38c92562fac2c068d688a19798fc38
Author: Hank Leininger <hlein <AT> korelogic <DOT> com>
AuthorDate: Fri Dec 2 23:06:23 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 3 01:35:28 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e375a11
app-crypt/hashcat: add 6.2.6
Signed-off-by: Hank Leininger <hlein <AT> korelogic.com>
Closes: https://bugs.gentoo.org/878083
Closes: https://github.com/gentoo/gentoo/pull/28517
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-crypt/hashcat/Manifest | 1 +
app-crypt/hashcat/hashcat-6.2.6.ebuild | 115 +++++++++++++++++++++++++++++++++
2 files changed, 116 insertions(+)
diff --git a/app-crypt/hashcat/Manifest b/app-crypt/hashcat/Manifest
index 2cd23f70ec39..a5e40cd9d819 100644
--- a/app-crypt/hashcat/Manifest
+++ b/app-crypt/hashcat/Manifest
@@ -1,3 +1,4 @@
DIST hashcat-6.2.1.tar.gz 5815254 BLAKE2B b6ce0edf7a7fe725570e557b6b414c8aad02e24933b2610be2607c895778d635543a90806aa40c3521f83f93de3b7556f04274d4f9893dacb53af82974df0be2 SHA512 435d8c66e1de14a4a95364eb06f41d10d221c4cf3286bed5ce333d3d07fe7ec2097fa57a3f925ef108a0c17091a65dc18b9c782f69ab8c0575061c14c9354563
DIST hashcat-6.2.4.tar.gz 6269444 BLAKE2B 15d774253841350710e89bb6358f5fd615ef6e0645f271507d5bfc3e814be1533f78b83b90c11b24c7088ac60f2bb9098cf3410c4bedb5d53b0ccff4d840664c SHA512 bb18646794e168616e6f018b41c1a17c26bb0d8625aaeec0bd0d734efbc331008f432efde7b3d08e8838c995c771a406670812edaf7d605e7fdff9ef001aa954
DIST hashcat-6.2.5.tar.gz 6341872 BLAKE2B e55a0aac0cb28041f92fc6685fb004058744e150d84d9b690bdb16bb7f4612edd12b987debcfc5d39d0c4e87bdd799148cae6974d47904c1e3d2953ceb32f076 SHA512 2b881146c625172c91cb74b33851473155dcde2421fba1b4acfba28116499b9cff832a62c4dbc24e16df06a827494f30699a7d0e5195d5ed107704f525255383
+DIST hashcat-6.2.6.tar.gz 14234640 BLAKE2B fbbebc0a35b920442d4e1fb5822a8b9867db62bcc2404fba514fe1f06f0aa859a116cbe204eed71d340ad826dcfffffadca6963e5eec875ae2fee59068968b61 SHA512 b5e4f40fb5ed0a47977243e1f95bf1deae0b04bd5ca26338395305c42573fe5b17557835f6f5d8b7402812e8eadda2b260d6b927ce99429fd1b87eb26f002f8a
diff --git a/app-crypt/hashcat/hashcat-6.2.6.ebuild b/app-crypt/hashcat/hashcat-6.2.6.ebuild
new file mode 100644
index 000000000000..42350637c144
--- /dev/null
+++ b/app-crypt/hashcat/hashcat-6.2.6.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pax-utils toolchain-funcs
+
+DESCRIPTION="World's fastest and most advanced password recovery utility"
+HOMEPAGE="https://github.com/hashcat/hashcat"
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/hashcat/hashcat.git"
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/hashcat/hashcat/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="brain video_cards_nvidia"
+
+DEPEND="app-arch/lzma
+ app-arch/unrar
+ sys-libs/zlib[minizip]
+ brain? ( dev-libs/xxhash )
+ video_cards_nvidia? (
+ >x11-drivers/nvidia-drivers-440.64
+ || (
+ dev-util/nvidia-cuda-toolkit
+ virtual/opencl
+ )
+ )
+ !video_cards_nvidia? ( virtual/opencl )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # Remove bundled stuff
+ rm -r deps/OpenCL-Headers || die "Failed to remove bundled OpenCL Headers"
+ rm -r deps/xxHash || die "Failed to remove bundled xxHash"
+
+ # TODO: Gentoo's app-arch/lzma doesn't install the needed files
+ #rm -r deps/LZMA-SDK || die "Failed to remove bundled LZMA-SDK"
+ #rm -r deps || die "Failed to remove bundled deps"
+
+ # Do not strip
+ sed -i "/LFLAGS += -s/d" src/Makefile || die
+
+ # Do not add random CFLAGS
+ sed -i "s/-O2//" src/Makefile || die
+
+ #sed -i "#LZMA_SDK_INCLUDE#d" src/Makefile || die
+
+ # Respect CC, CXX, AR
+ sed -i \
+ -e 's/:= gcc/:= $(CC)/' \
+ -e 's/:= g++/:= $(CXX)/' \
+ -e 's/:= ar/:= $(AR)/' \
+ src/Makefile || die
+
+ export PREFIX="${EPREFIX}"/usr
+ export LIBRARY_FOLDER="/usr/$(get_libdir)"
+ export DOCUMENT_FOLDER="/usr/share/doc/${PF}"
+
+ default
+}
+
+src_compile() {
+ tc-export CC CXX AR
+
+ # Use bundled unrar for now, bug #792720
+ emake \
+ SHARED=1 \
+ PRODUCTION=1 \
+ ENABLE_BRAIN=$(usex brain 1 0) \
+ USE_SYSTEM_LZMA=0 \
+ USE_SYSTEM_OPENCL=1 \
+ USE_SYSTEM_UNRAR=0 \
+ USE_SYSTEM_ZLIB=1 \
+ USE_SYSTEM_XXHASH=1 \
+ VERSION_PURE="${PV}"
+
+ pax-mark -mr hashcat
+}
+
+src_test() {
+ if use video_cards_nvidia; then
+ addwrite /dev/nvidia0
+ addwrite /dev/nvidiactl
+ addwrite /dev/nvidia-uvm
+
+ if [[ ! -w /dev/nvidia0 ]]; then
+ einfo "To run these tests, portage likely must be in the video group."
+ einfo "Please run \"gpasswd -a portage video\" if the tests will fail"
+ fi
+ fi
+
+ # This always exits with 255 despite success
+ #./hashcat -b -m 2500 || die "Test failed"
+ LD_PRELOAD=./libhashcat.so.${PV} ./hashcat -a 3 -m 1500 nQCk49SiErOgk || die "Test failed"
+}
+
+src_install() {
+ emake \
+ DESTDIR="${ED}" \
+ SHARED=1 \
+ PRODUCTION=1 \
+ ENABLE_BRAIN=$(usex brain 1 0) \
+ USE_SYSTEM_LZMA=0 \
+ USE_SYSTEM_OPENCL=1 \
+ USE_SYSTEM_UNRAR=1 \
+ USE_SYSTEM_ZLIB=1 \
+ USE_SYSTEM_XXHASH=1 \
+ VERSION_PURE="${PV}" \
+ install
+}
next reply other threads:[~2022-12-03 1:37 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-03 1:37 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-24 2:12 [gentoo-commits] repo/gentoo:master commit in: app-crypt/hashcat/ Rick Farina
2023-08-19 22:40 Rick Farina
2023-08-19 22:40 Rick Farina
2021-12-03 3:19 Sam James
2021-12-03 3:19 Sam James
2021-05-29 7:02 Sam James
2021-05-18 15:12 Rick Farina
2021-05-18 15:12 Rick Farina
2020-06-16 19:21 Rick Farina
2020-04-01 21:15 Marek Szuba
2019-01-07 19:45 Rick Farina
2018-11-08 15:56 Rick Farina
2018-11-05 20:06 Richard Farina
2018-10-23 20:22 Richard Farina
2018-08-03 20:30 Richard Farina
2018-02-23 17:30 Richard Farina
2017-12-07 16:08 Richard Farina
2017-11-24 6:06 Matt Turner
2017-10-04 7:47 Michał Górny
2017-03-03 16:44 Richard Farina
2017-01-18 17:59 Richard Farina
2016-09-03 21:32 Richard Farina
2016-09-02 4:05 Richard Farina
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1670031328.3e375a111c38c92562fac2c068d688a19798fc38.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox